Package org.gradle.api.credentials

## Interface HttpHeaderCredentials

- All Superinterfaces:
    `Credentials`

      public interface HttpHeaderCredentials
      extends Credentials

  Credentials that can be used to login to a protected server, e.g. a remote repository by using HTTP header.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the header name to use when authenticating.
    `String` | `getValue()` | Returns the header value to use when authenticating.
    `void` | `setName​(String name)` | Sets the header name to use when authenticating.
    `void` | `setValue​(String value)` | Sets the header value to use when authenticating.

- - ### Method Detail

    - #### getName

          @Nullable
          String getName()

      Returns the header name to use when authenticating.
      Returns:
        The header name. May be null.

    - #### setName

          void setName​(@Nullable
                       String name)

      Sets the header name to use when authenticating.
      Parameters:
        `name` - The header name. May be null.

    - #### getValue

          @Nullable
          String getValue()

      Returns the header value to use when authenticating.
      Returns:
        The header value. May be null.

    - #### setValue

          void setValue​(@Nullable
                        String value)

      Sets the header value to use when authenticating.
      Parameters:
        `value` - The header value. May be null.